package jp.sf.orangesignal.trading.order;

import static org.junit.Assert.assertTrue;
import jp.sf.orangesignal.trading.order.OrderType;

import org.junit.Test;

public class OrderTypeTest {

	@Test
	public void testValues() {
		final OrderType[] values = OrderType.values();
		for (final OrderType value : values) {
			switch (value) {
				case MARKET:
				case LIMIT:
				case STOP:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
